<div class="auth-form-center">
    <div *ngIf="!isCreated">
        <div class="auth-form-header">
            <span>{{'Sign up' | translate}}</span>
        </div>
        <div class="auth-form-body">
            <form novalidate [formGroup]="signUpForm" (ngSubmit)="signUp()" class="form-row">
                <div class="col-lg-6 col-12">
                    <mat-form-field appearance="outline" class="input-fluid">
                        <mat-label>{{'First name' | translate}}</mat-label>
                        <input matInput id="firstName" formControlName="firstName">
                        <mat-error *ngIf="firstName.errors && (firstName.dirty || firstName.touched)">
                            {{'First name' | translate}} {{'is required'|translate}}
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-lg-6 col-12">
                    <mat-form-field appearance="outline" class="input-fluid">
                        <mat-label>{{'Last name' |translate}}</mat-label>
                        <input matInput id="lastName" formControlName="lastName">
                        <mat-error *ngIf="lastName.errors && (lastName.dirty || lastName.touched)">
                            {{'Last name' | translate}} {{'is required'|translate}}
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-12">
                    <mat-form-field appearance="outline" class="input-fluid">
                        <mat-label>Email</mat-label>
                        <input id="email" formControlName="email" matInput placeholder="Email">
                        <mat-error *ngIf="email.hasError('email') && !email.hasError('required')">
                            Please enter a valid email address
                        </mat-error>
                        <mat-error *ngIf="email.hasError('required')">
                            Email {{'is required'|translate}}
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-lg-6 col-12">
                    <mat-form-field appearance="outline" class="input-fluid">
                        <mat-label>{{'password' | translate | titlecase}} </mat-label>
                        <input id="password" formControlName="password" matInput type="password">
                        <mat-error *ngIf="password.hasError('required')">
                            {{'password' | translate | titlecase}} {{'is required' | translate}}
                        </mat-error>
                        <mat-error *ngIf="password.hasError('minlength')">
                            {{'PASSWORD_MIN_CHARACTER_VALIDATION' | translate}}
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-lg-6 col-12">
                    <mat-form-field appearance="outline" class="input-fluid">
                        <mat-label>{{'Confirm'|translate}}</mat-label>
                        <input id="confirm" formControlName="confirm" matInput type="password">
                        <mat-error *ngIf="confirm.hasError('mustMatch')">
                            {{'password' | translate | titlecase}} {{'didn\'t match' | translate}}
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-12">
                    <div class="d-flex justify-content-end mt-2">
                        <button type="submit" class="btn btn-primary">{{'Sign up' | translate}}</button>
                    </div>
                </div>
            </form>
        </div>
        <div class="auth-form-footer">
            <div class="d-flex justify-content-between bd-highlight mb-1">
                <div class="p-2 bd-highlight">
                    <a routerLink="../signin">{{'Sign in' | translate}}</a>
                </div>

            </div>
        </div>
    </div>
    <div *ngIf="isCreated" class="auth-form-body">
        <p class="success-header">
            Thank you!<br />
            <span>Please check your email to confirm your account</span>
        </p>
        <span>No confirmation email received?<br />
            <span style="font-size: 14px;">Please check your spam folder or <a href="" style="font-size: 14px;">request
                    new confirmation email</a></span></span>
    </div>
</div>
